--select om.AutoId as orderAutoid,do.AmtDue,MigrationDate,isnull(om.CreditAmount,0) as CreditAmount,om.OrderNo,om.OrderDate from OrderMaster as om
--inner join DeliveredOrders as do on om.AutoId=do.OrderAutoId
--where convert(date,MigrationDate)=convert(date,GETDATE())  
-- and (
--do.AmtDue!=0 or status!=11 or isnull(om.CreditAmount,0)!=0
--or exists(
--select pm.PaymentAutoId from CustomerPaymentDetails as pm
--inner join PaymentOrderDetails as pod on pod.PaymentAutoId=pm.PaymentAutoId and pod.OrderAutoId=do.OrderAutoId and pm.Status=0 and PaymentMode=5  --store credit
--)
--or exists(
--select 1  from [dbo].[CustomerPaymentDetails] as cpd where 
--cpd.PaymentAutoId in (select od.PaymentAutoId from PaymentOrderDetails as od where od.OrderAutoId=om.AutoId)	
--and cpd.NewCreditAmount>0
--)
--or exists(select 1 from (
--SELECT (CPD.ReceivedAmount-SortAmount) AS ReceivedAmount,
--(select sum(pod.ReceivedAmount) from PaymentOrderDetails as pod where pod.PaymentAutoId=cpd.PaymentAutoId) as SettledAmount
--FROM CustomerPaymentDetails AS CPD
--where 
--CPD.Status=0 
--and cpd.PaymentAutoId in (select od.PaymentAutoId from PaymentOrderDetails  as od where od.OrderAutoId=om.AutoId)
--) as t where t.ReceivedAmount!=SettledAmount)

--)